if CLIENT then
	//All the initilization stuff
	include("Saber-Tech/snow-script/snow-script.lua")
	include("Saber-Tech/snow-script/snow-script-interface.lua")
	include("Saber-Tech/snow-script/effects.lua")
	
	hook.Add("PopulateToolMenu", "Creat Snow Derpa Panel", SnowPanelCreate)
	hook.Add("Think", "Snow Controll", SnowControll)
	hook.Add("Think", "Listen Skyswap", SwapSkybox)
		
	chat.AddText(Color(255,255,255), "Sabreman's Snow-Script is Loaded.")
	
	//this is supposed to remove all particles, but doesnt
	/*for I,part in pairs(ents.GetAll()) do
		if (part:GetClass() == "CLuaParticle") then
			part:Remove()
		end
	end*/
else
	//send all the required files to the player if were on the server (cant belive this took me so long to get :/)
	AddCSLuaFile("autorun/Snow-Script_Launcher.lua")
	AddCSLuaFile("Saber-Tech/snow-script/snow-script.lua")
	AddCSLuaFile("Saber-Tech/snow-script/snow-script-interface.lua")
	AddCSLuaFile("Saber-Tech/snow-script/effects.lua")
end